<?php
/**  
 *
 *       dilbo - digital logbook for Rowing and Canoeing
 *       -----------------------------------------------
 *       https://www.dilbo.org
 *
 * Copyright  2023-2024  Martin Glade
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */


/**
 * class file for the authentication provider class. The only function it has is the get_pwhash(String
 * $user_id). This here is a dummy stub for any developer to build on.
 */
class Auth_provider
{

    /**
     * This client id is the one which was agreed with the auth provider to authorize the dilbo server for
     * password hash retrieval. 
     */
    private $client_id;

    /**
     * This client key is the one which was agreed with the auth provider to authorize the dilbo server for
     * password hash retrieval.
     */
    private $client_key;

    /**
     * The server to provide the authentication. It is strongly recommended to use https.
     */
    private $url_api = "";

    /**
     * The token which represents an error during pw hash retrieval.
     */
    private $error_token = "#ERROR#";

    /**
     * public Constructor.
     */
    public function __construct ()
    {
        // enter anything which is needed upon cionstruction here.
    }

    /**
     * get a password hash to validate an entered password for a specific user id. The hash will be
     * verified using the standard password_verify($entered_data["Passwort"], $passwort_hash); method.
     * 
     * @param String $user_id            
     * @return password hash or '-' in case of failure
     */
    public function get_pwhash (String $user_id)
    {
        // add all functionality to get a password hash by your auth provider here.
        return '-';
    }
}
?>
