<?php
/**  
 *
 *       dilbo - digital logbook for Rowing and Canoeing
 *       -----------------------------------------------
 *       https://www.dilbo.org
 *
 * Copyright  2023-2024  Martin Glade
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

// ===== initialize the socket pre-modification checks or write through
/** @var \Tfyh_toolbox $toolbox */
/** @var \Tfyh_socket $socket */

include_once '../classes/tfyh_db_setup.php';
$tfyh_db_layout = new Tfyh_db_setup($toolbox, $socket);
$socket->add_trigger("db_layout_trigger", $tfyh_db_layout);
$socket->add_read_listener("db_layout_listener", $tfyh_db_layout);

include_once '../classes/dilbo_db_trigger.php';
$dilbo_db_trigger = new Dilbo_db_trigger($toolbox, $socket);
$socket->add_trigger("dilbo_db_trigger", $dilbo_db_trigger);
