<?php
/**
 *
 *       the tools-for-your-hobby framework
 *       ----------------------------------
 *       https://www.tfyh.org
 *
 * Copyright  2018-2024  Martin Glade
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

/**
 * The form to edit an arbitrary record. This is the generic container, while the form is provided by the
 * Javascript Form handlre.
 * 
 * @author mgSoft
 */
// ===== initialize toolbox and socket and start session.
$user_requested_file = __FILE__;
include_once "../classes/init.php";

// === APPLICATION LOGIC ==============================================================
$uid = (isset($_GET["uid"])) ? $_GET["uid"] : false;
$tablename = (isset($_GET["table"])) ? $_GET["table"] : false;
if (! $toolbox->config->get_by_path(".appTables")->has_child($tablename))
    $toolbox->display_error(i("YQ24hk|Provided table name has ..."), 
            i("qRhLL0|Page °%1° must be called...", $user_requested_file, 
                    $tablename), $user_requested_file);
$table_cfg = $toolbox->config->get_by_path(".appTables")->get_child($tablename);
if ($uid && $tablename) {
    $record = $socket->find_record_matched($tablename, ["uid" => $uid
    ]);
    if ($record === false)
        $toolbox->display_error(i("TTKxOm|Record not found."), 
                i("98iCZZ|Page °%1° must be called...", $user_requested_file, 
                        $uid), $user_requested_file);
} else {
    $toolbox->display_error(i("KjzmnU|Not allowed."), 
            i("b1CfJu|Page °%1° must be called...", $user_requested_file), $user_requested_file);
}

// === PAGE OUTPUT ===================================================================
// ===== start page output
echo file_get_contents('../config/snippets/page_01_start');
echo $menu->get_menu();
echo file_get_contents('../config/snippets/page_02_nav_to_body');

// page heading, identical for all workflow steps
echo "<!-- START OF content -->\n<div class='w3-container'>\n";
echo "<h3>" . i("s0Odak|Edit a %1-record", $tablename) . "</h3>";
echo "<div id='tfyhForm'></div>";
echo "</div>";
end_script();
