<?php
/**  
 *
 *       dilbo - digital logbook for Rowing and Canoeing
 *       -----------------------------------------------
 *       https://www.dilbo.org
 *
 * Copyright  2023-2024  Martin Glade
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

/**
 * The boathouse client start page.
 * 
 * @author mgSoft
 */

// ===== initialize toolbox and socket and start session.
$user_requested_file = __FILE__;
include_once "../classes/init.php";

$mode = (isset($_GET["mode"])) ? $_GET["mode"] : "show";
$top = (isset($_GET["top"])) ? $_GET["top"] : ".appSettings";

// ===== start page output
// start with boathouse header, which includes the set of javascript references needed.
echo file_get_contents('../config/snippets/page_01_start');
echo $menu->get_menu();
echo file_get_contents('../config/snippets/page_02_nav_to_body');

// build page structure: header, content, footer.
echo "<div class='w3-container' id='tfyhCfg-container'>\n";
echo "<div class='w3-row'><div class='w3-col l1' id='tfyhCfg-header'></div></div>\n";
echo "<span id='tfyhCfg-top' value='$mode:$top'></span>\n";
echo "<div class='w3-container' id='tfyhCfg-branch'>" .
         i("GoIpXR|loading to %1 configurat...", $mode, $top) . "</div>\n";
echo "<div class='w3-row'><div class='w3-col l1' id='tfyhCfg-footer'></div></div>\n";
echo "</div>";

// end of file. No end script for web client.
echo file_get_contents('../config/snippets/page_03_footer');
$script_completed = true;
