<?php
/**  
 *
 *       dilbo - digital logbook for Rowing and Canoeing
 *       -----------------------------------------------
 *       https://www.dilbo.org
 *
 * Copyright  2023-2024  Martin Glade
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

/**
 * A page to reset the complete data base.
 * 
 * @author mgSoft
 */

// ===== initialize toolbox and socket and start session.
$user_requested_file = __FILE__;
include_once "../classes/init.php";
$do_reset = (strcmp($_GET["do_reset"], "full") == 0);
include_once '../classes/db_setup.php';
$db_setup = new Tfyh_db_setup($toolbox, $socket);
$user_name = $toolbox->users->session_user["@fullname"];
if ($do_reset)
    // ===== create data base
    $result_bootstrap = $db_setup->init_data_base();

// ===== start page output
echo file_get_contents('../config/snippets/page_01_start');
echo $menu->get_menu();
echo file_get_contents('../config/snippets/page_02_nav_to_body');
echo "<h3>" . i("P8NqjU|Delete database %1", $socket->get_db_name()) . "</h3>";

if ($do_reset) {
    echo "<p>" . i(
            "z9JLLb|The database has been re...", $user_name) . "</p>";
    echo "<p>" . i("WOnK0g|The following activity r...") . "<br>" . $result_bootstrap .
             "</p>";
    echo "<p>" . i("fCWHZq|Please log out and log i...") . "<br><br><a href='../pages/logout.php'>" .
             i("4RX8ec|Logout") . "</a></p>";
} else {
    echo "<h3><br>" . i("yaRbu4|DANGER ZONE!") . "</h3><p>" .
             i("mw21ct|This is the option to de...");
    echo "<br><b>" . i("ceLd6k|If You go for it the dat...");
    echo "</b><br>" . i("dQ3PQG|Administrators are also ...", $user_name);
    echo i("DA6MeJ|The process can take 10-...") . "</p>";
    echo "<h4>" . i("MOvHFw|I don°t really know.") . " &gt;&gt; <a href='../pages/home.php'>" . i("zD9aCz|Abort now.") . "</a></h4>";
    echo "<p>" . i("CxPfCd|I am sure and I know wha...") . " &gt;&gt; <b>";
    echo "<a href='?do_reset=full'>" . i("yu9T3e|Delete data base °%1° at...", $socket->get_db_name(), $app_root) .
             "</a></p>";
}
echo "</div>";
end_script();
