<?php
/**  
 *
 *       dilbo - digital logbook for Rowing and Canoeing
 *       -----------------------------------------------
 *       https://www.dilbo.org
 *
 * Copyright  2023-2024  Martin Glade
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

/**
 * The start of the session after successfull login.
 * 
 * @author mgSoft
 */

// ===== initialize toolbox and socket and start session.
$user_requested_file = __FILE__;
include_once "../classes/init.php";

// ===== start page output
echo file_get_contents('../config/snippets/page_01_start_no_menu');
echo file_get_contents('../config/snippets/page_02_nav_to_body_no_menu');

// ===== add div for application dock
echo "  <!-- The Main -->\n";
echo "<!-- This will be the entire page. Fill tfyhMain by the application -->\n";
echo "  <div id='tfyhMain'>\n";
echo "  </div>\n\n";
echo "<div><img class='centered' src='../resources/welle_logo_256.gif' id='dilbo-load' style='width:128px'></div>";

// ===== forward the menu as script variable
$menu = new Tfyh_menu("../config/access/" . "wmenu", $toolbox);
$menu->set_style(2);
echo $menu->get_menu();

// ===== forward the user record (partly) script variable
$user_data_fields = ["uid","uuid","first_name","last_name","name_affix","title","gender","birthday",
        "association","status","boat_usage_ban","user_id","Rolle","Subskriptionen","Workflows","Concessions",
        "preferences"
];
$user_record = "\n<script>var php_user_record = '";
foreach ($user_data_fields as $user_data_field)
    $user_record .= $user_data_field . "=" .
             ((isset($toolbox->users->session_user[$user_data_field])) ? str_replace("'", "°", 
                    $toolbox->users->session_user[$user_data_field]) : "") . "|";
$user_record = mb_substr($user_record, 0, mb_strlen($user_record) - 1) . "';</script>";
echo $user_record;

// ===== create an API session and forward the API session id
$api_session_id = $toolbox->app_sessions->api_session_start(intval($toolbox->users->session_user["@id"]), 
        $socket);
if ($api_session_id !== false)
    echo "\n<script>var php_api_session_id = '" . $api_session_id . "';</script>";

// ===== end script and send the footer
end_script();