<?php
/**  
 *
 *       dilbo - digital logbook for Rowing and Canoeing
 *       -----------------------------------------------
 *       https://www.dilbo.org
 *
 * Copyright  2023-2024  Martin Glade
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

/**
 * The start of the session after successfull login.
 * 
 * @author mgSoft
 */

// ===== initialize toolbox and socket and start session.
$user_requested_file = __FILE__;
include_once "../classes/init.php";
$language_code = (isset($toolbox->config->language_code)) ? $toolbox->config->language_code : "de";
$sendPDF = (isset($_GET["sendPDF"])) ? $_GET["sendPDF"] : 0;

// ===== start page output
echo file_get_contents('../config/snippets/page_01_start');
echo $menu->get_menu();
echo file_get_contents('../config/snippets/page_02_nav_to_body');
echo "<!-- START OF content -->\n<div class='w3-container'>\n";
echo "<h3>" . i("j8pXJK|Profile of") . " " . $toolbox->users->session_user["@fullname"] . "</h3>";
echo "<p>" .
        i(
                "Alao36|This is your personal pr...") . "</p>";
echo "</div>\n<div class='w3-container'>";

$page_errors = "";
$page_info = "";

if (strcasecmp($toolbox->users->session_user["Rolle"], $toolbox->users->session_user["Rolle"]) !== 0)
    echo "<p style='color:#f00'><b>" . i("XRkVQO|logged in as °%1°", $toolbox->users->session_user["Rolle"]) .
             "</b></p>";
echo $toolbox->form_errors_to_html($page_errors);
echo $page_info;

echo $toolbox->users->get_user_profile($toolbox->users->session_user["@id"], $socket);
if (strcasecmp($toolbox->users->session_user["Rolle"], "bths") !== 0)
    echo "<br><a href='../forms/profil_aendern.php'> &gt; " . i("IZjKgK|Change profile") . "</a>";

echo "</div>\n<div class='w3-container'>";
echo file_get_contents("../texts/$language_code/data_privacy_disclaimer.html");
echo "</div>";

end_script();
