<?php
/**  
 *
 *       dilbo - digital logbook for Rowing and Canoeing
 *       -----------------------------------------------
 *       https://www.dilbo.org
 *
 * Copyright  2023-2024  Martin Glade
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

/**
 * The start of the session after successfull login.
 * 
 * @author mgSoft
 */

// ===== initialize toolbox and socket and start session.
$user_requested_file = __FILE__;
include_once "../classes/init.php";

// ==== error handling
$uid = (isset($_GET["uid"])) ? $_GET["uid"] : false;
$user_id = (isset($_GET["nr"])) ? $_GET["nr"] : false;
// identify via user ID
$user_to_show_records = ($uid) ? [
        $socket->find_record_matched($toolbox->users->user_table_name, ["uid" => $uid
        ])
] : $socket->find_records_sorted_matched($toolbox->users->user_table_name, ["user_id" => $_GET["nr"]
], 1, "=", "invalid_from", false);
$user_to_show = $user_to_show_records[0];
if (($user_to_show === [ false ]) || is_null($user_to_show)) {
    $toolbox->display_error(i("9KzdHU|Not allowed."), 
            i("ZmAUjp|To call °%1° the ID of t...", $user_requested_file), $user_requested_file);
}

// ===== start page output
echo file_get_contents('../config/snippets/page_01_start');
echo $menu->get_menu();
echo file_get_contents('../config/snippets/page_02_nav_to_body');

// page heading, identical for all workflow steps
echo "<!-- START OF content -->\n<div class='w3-container'>\n";
echo "<h3>" . i("aOhrsi|Profile of %1 %2", $user_to_show[$toolbox->users->user_firstname_field_name], 
        $user_to_show[$toolbox->users->user_lastname_field_name]) . "</h3>";
echo "</p>\n</div>\n<div class='w3-container'>\n";

// update user data
echo $toolbox->users->get_user_profile_on_array($user_to_show, $socket, false);
echo "<p><b>Für diesen Nutzer stehen die folgenden Aktionen zur Verfügung (bitte auf den Link klicken):</b><br>";
echo $toolbox->users->get_action_links($user_id, $user_to_show["uid"]);

echo "</div>\n<div class='w3-container'>";
echo file_get_contents("../texts/" . $toolbox->config->language_code . "/data_privacy_disclaimer.html");
echo "</div>";

end_script();
