<?php
/**  
 *
 *       dilbo - digital logbook for Rowing and Canoeing
 *       -----------------------------------------------
 *       https://www.dilbo.org
 *
 * Copyright  2023-2024  Martin Glade
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

/**
 * The start of the session after successfull login.
 * 
 * @author mgSoft
 */

// ===== initialize toolbox and socket and start session.
$user_requested_file = __FILE__;
include_once "../classes/init.php";
$do = isset($_GET["do"]) ? intval($_GET["do"]) : 0;
$done = isset($_GET["done"]) ? intval($_GET["done"]) : 0;

$verified_user = $socket->find_record_matched($toolbox->users->user_table_name, 
        [$toolbox->users->user_id_field_name => $toolbox->users->session_user["@id"]
        ]);

if (! isset($language_code))
    $language_code = "en";

if ($do > 0) {
    if ($do == 1) {
        include_once '../classes/tfyh_word_index.php';
        $word_index = new Tfyh_word_index($toolbox, $socket);
        $word_index->rebuild();
        header("?done=1");
    }
    if ($do == 2) {
        // do nothing. Should not occur, task 2 redirects.
    }
}

// ===== start page output
echo file_get_contents('../config/snippets/page_01_start');
echo $menu->get_menu();
echo file_get_contents('../config/snippets/page_02_nav_to_body');

echo "<!-- START OF content -->\n<div class='w3-container'>\n";
echo "<h3>" . i("FVuVpT|Operations Tasks") . "</h3>";

if ($done > 0)
    echo "<p>" . i("kDwo9g|The task was completed. ...") . "</p>";
else {
    echo "<ol>\n";
    echo "<li><a href='?do=1'>" . i("nTIsc0|Rebuild the word index.") . "</a></li>\n";
    echo "<li><a href='../pages/db_audit.php'>" . i("B9ys2A|Run data base audit.") . "</a></li>\n";
    echo "<li><a href='../pages/run_cronjobs.php'>" . i("TdJY1c|Run housekeeping") . "</a></li>\n";
    echo "</ol>";
}
end_script();
