<?php
/**  
 *
 *       dilbo - digital logbook for Rowing and Canoeing
 *       -----------------------------------------------
 *       https://www.dilbo.org
 *
 * Copyright  2023-2024  Martin Glade
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

/**
 * Display the record history in a human readable form.
 * 
 * @author mgSoft
 */

// ===== initialize toolbox and socket and start session.
$user_requested_file = __FILE__;
include_once "../classes/init.php";

$uid = (isset($_GET["uid"])) ? $_GET["uid"] : false;
$tablename = (isset($_GET["table"])) ? $_GET["table"] : false;
$record = $socket->find_record($tablename, "uid", $uid);
$table_cfg = $toolbox->config->get_by_path(".appTables." . $tablename);
$tablename_local = (is_null($table_cfg)) ? $tablename : $table_cfg->get_descriptor_field("text_local_name");

// ===== start page output
echo file_get_contents('../config/snippets/page_01_start');
echo $menu->get_menu();
echo file_get_contents('../config/snippets/page_02_nav_to_body');

echo "<h3>" . i("E8Dd4Q|Version history of a °%1...", $tablename_local) . "</h3>";
if ($record === false)
    echo i("GkURzg|The record in table °%1°...", $tablename_local, $uid);
if (isset($record["history"]))
    echo $socket->get_history_html($record["history"], 
            "../pages/show_history.php?table=" . $tablename . "&uid=" . $uid);
else
    echo i("pH7Sis|Unfortunately, there is ...");
echo "</div>\n<!-- END OF Content -->";

end_script();
