<?php
/**
 *
 *       the tools-for-your-hobby framework
 *       ----------------------------------
 *       https://www.tfyh.org
 *
 * Copyright  2018-2024  Martin Glade
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

/**
 * Page display file. Shows all mails available to public from ARB Verteler.
 * 
 * @author mgSoft
 */

// ===== initialize toolbox and socket and start session.
$user_requested_file = __FILE__;
include_once "../classes/init.php";
include_once '../classes/tfyh_list.php';

// ===== build selection table
$selection = "";
$analyse = new Tfyh_list("../config/lists/analyse", 0, "", $socket, $toolbox);
foreach ($analyse->get_all_list_definitions() as $l) {
    if ($toolbox->users->is_allowed_item($l["permission"])) {
        $permissionstr = (strpos($l["permission"], "#") === 0) ? i("wTnmiM|Subskriptionen, Mask ") .
                 $l["permission"] : $l["permission"];
        $permissionstr = (strpos($l["permission"], "@") === 0) ? i("IVseh0|Workflows, Mask ") .
                 $l["permission"] : $l["permission"];
        $tablename = $l["from"];
        $table_config = $toolbox->config->get_by_path(".appTables." . $tablename);
        $tablename_local = $table_config->get_descriptor_field("text_local_name");
        $link_list_records = "<a href='../pages/show_lists.php?id=" . $l["id"] . "&satz=analyse'>" . i("tIUwtU|show") .
                 "</a>";
        $link_add_record = "<a href='#' onclick='handleEvent(\"addRecord_" . $tablename . "_createUid" .
                 "\")'>" . i("8FZFZz|add a record") . "</a>";
        $link_show_trash = "<a href='../pages/show_lists.php?satz=movedAway&id=1&listparameter=$tablename'>" .
                 i("xp0Oxi|show deleted") . "</a>";
        $link_show_changes = "<a href='../pages/show_lists.php?satz=movedAway&id=2&listparameter=$tablename'>" .
                 i("FFZAD7|show changes") . "</a>";
        $link_show_archived = "<a href='../pages/show_lists.php?satz=movedAway&id=3&listparameter=$tablename'>" .
                 i("hVHf9A|show archived") . "</a>";
        $selection .= "<p><b>" . $tablename_local . "</b></p><ul><li>" . i("N03mCJ|technical name") . ": $tablename, " .
                 i("Tih9GS|permissions") . ": $permissionstr </li><li>" . i("uRHqUh|actions") . ": " . $link_list_records .
                 " | " . $link_add_record . " | " . $link_show_trash . " | " . $link_show_changes . " | " . $link_show_archived . "</ul>\n";
    }
}

// ===== start page output
echo file_get_contents('../config/snippets/page_01_start');
echo $menu->get_menu();
echo file_get_contents('../config/snippets/page_02_nav_to_body');

echo "<!-- START OF content -->\n<div class='w3-container'>\n";
echo "<h3>" . i("Q3Kiql|Analyse or modify tables...") . "</h3>";
echo $selection;

echo "<!-- END OF Content -->\n</div>";
end_script();
